[SCM] exiv2 packaging branch, master, updated. debian/0.25-3.1-3734-gdcbc29a
Maximiliano Curia
maxy at moszumanska.debian.org
Thu Jul 13 17:46:04 UTC 2017
Gitweb-URL: http://git.debian.org/?p=pkg-kde/kde-extras/exiv2.git;a=commitdiff;h=6e2c2e4
The following commit has been merged in the master branch:
commit 6e2c2e44ee420ccef04f537985c06b6e5f260525
Author: Robin Mills <robin at clanmills.com>
Date: Mon Dec 14 11:48:20 2015 +0000
#1109 and #1041 Documentation corrections. First cut of buildserver/test_daily.sh script
---
buildserver/test_daily.sh | 71 +++++++++++++++++++++++++++++++++++++
contrib/buildserver/dailyReadMe.txt | 14 ++++----
2 files changed, 78 insertions(+), 7 deletions(-)
diff --git a/buildserver/test_daily.sh b/buildserver/test_daily.sh
new file mode 100755
index 0000000..60f2c29
--- /dev/null
+++ b/buildserver/test_daily.sh
@@ -0,0 +1,71 @@
+#!/bin/bash
+
+if [ -z "$JENKINS" ]; then export JENKINS=http://exiv2.dyndns.org:8080 ; fi
+if [ -z "$DAILY" ]; then export DAILY=userContent/builds/Daily ; fi
+
+##
+# which PLATFORM
+# JOB_NAME is defined when script is called by Jenkins
+# example: JOB_NAME=trunk-cmake-daily/label=msvc
+# PLATFORM must be defined as msvc when called from ssh
+if [ ! -z "$JOB_NAME" ];then
+ PLATFORM=$(echo $JOB_NAME | cut -d= -f 2)
+fi
+if [ "$PLATFORM" == "" ]; then
+ export PLATFORM=''
+ if [ `uname` == Darwin ]; then
+ PLATFORM=macosx
+ elif [ `uname -o` == Cygwin ]; then
+ PLATFORM=cygwin
+ # tweak path to ensure the correct version of perl and expr for autotools
+ export "PATH=/bin:$PATH"
+ elif [ `uname -o` == Msys ]; then
+ PLATFORM=mingw
+ else
+ PLATFORM=linux
+ fi
+fi
+
+date=$(date '+%Y-%m-%d')
+
+echo date = $date
+echo url = $JENKINS/$DAILY
+
+build=$(curl --silent $JENKINS/$DAILY/ \
+ |xmllint --pretty 1 - | grep $PLATFORM \
+ |grep $date | grep -v -e view | cut -d'"' -f 2 ) 2>/dev/null
+echo build = $build
+cd /tmp
+rm -rf $build
+curl -O --silent $JENKINS/$DAILY/$build
+ls -alt $build
+if [ -e dist ]; then rm -rf dist ;fi
+
+##
+# expand the bundle
+tar xzf $build
+if [ ! -e dist ]; then echo '*** no dist directory ***' ; exit 1; fi
+
+# enter the dist and test it
+cd dist
+case $PLATFORM in
+ macosx)
+ # test the delivered exiv2
+ DYLD_LIBRARY_PATH="$PWD/$PLATFORM/lib:$DYLD_LIBRARY_PATH"
+ $PLATFORM/bin/exiv2 -vV | grep -e libexiv2 -e ^date -e ^bits -e ^version -e ^time
+
+ # compile, link and test the sample code
+ echo ''
+ g++ -I$PLATFORM/include -L$PLATFORM/lib samples/exifprint.cpp -lexiv2 -o exifprint
+ ls -alt exifprint
+ echo ''
+
+ exifprint --version | grep -e libexiv2 -e ^date -e ^bits -e ^version -e ^time
+ ;;
+
+ *) echo unknown platform $platform
+ ;;
+esac
+
+# That's all Folks!
+##
diff --git a/contrib/buildserver/dailyReadMe.txt b/contrib/buildserver/dailyReadMe.txt
index 6612cc2..a162db4 100644
--- a/contrib/buildserver/dailyReadMe.txt
+++ b/contrib/buildserver/dailyReadMe.txt
@@ -37,10 +37,10 @@ platform = macosx
Structure of the bundle:
dist/macosx/bin/exiv2.exe exiv2 and sample applications
- .../lib/libexiv2.so.14.0.0.dylib shared library
- /lib/exiv2.lib libraries for exiv2/expat/zlib
- /include/exiv2/ include files
- /share/ man pages
+ .../lib/libexiv2.so.14.0.0.dylib shared library
+ /lib/exiv2.lib libraries for exiv2/expat/zlib
+ /include/exiv2/ include files
+ /share/ man pages
dist/logs/ log files
dist/samples/exifprint.cpp sample code
@@ -109,9 +109,9 @@ c: emp\dist> set "PATH=%CD%3\x64\dll\Releasein;%PATH%"
c: emp\dist> exiv2
To compile and link your own code:
- Caution: You will need the same version of Visual Studio as the build
- You will need to use "Visual Studio Command Prompt"
- or initialize the DOS environment by calling vcvarsall.bat
+ Caution: You must use the same version of Visual Studio as the build
+ You will need to use the "Visual Studio Command Prompt"
+ or initialise the DOS environment by calling vcvarsall.bat
c: emp> cd dist
c: emp\dist> cl /EHsc -I2013\x64\dll\Release\include /MD samples\exifprint.cpp /link 2013\x64\dll\Release\lib\exiv2.lib
--
exiv2 packaging
More information about the pkg-kde-commits
mailing list